Package org.apache.lucene.spatial3d.geom

## Class GeoBaseShape

- java.lang.Object
- - org.apache.lucene.spatial3d.geom.BasePlanetObject
  - - org.apache.lucene.spatial3d.geom.GeoBaseBounds
    - - org.apache.lucene.spatial3d.geom.GeoBaseShape

- All Implemented Interfaces:
    `Bounded`, `GeoBounds`, `GeoShape`, `Membership`, `PlanetObject`, `SerializableObject`
  Direct Known Subclasses:
    `GeoBaseMembershipShape`

      public abstract class GeoBaseShape
      extends GeoBaseBounds
      implements GeoShape

  Base extended shape object.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.spatial3d.geom.BasePlanetObject

      `planetModel`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GeoBaseShape​(PlanetModel planetModel)` | Constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.spatial3d.geom.GeoBaseBounds

      `getBounds`

    - ### Methods inherited from class org.apache.lucene.spatial3d.geom.BasePlanetObject

      `equals, getPlanetModel, hashCode, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Bounded

      `getBounds`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoShape

      `getEdgePoints, intersects`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Membership

      `isWithin, isWithin`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.PlanetObject

      `getPlanetModel`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.SerializableObject

      `write`

- - ### Constructor Detail

    - #### GeoBaseShape

          public GeoBaseShape​(PlanetModel planetModel)

      Constructor.
      Parameters:
        `planetModel` - is the planet model to use.